--
-- PostgreSQL database dump
--

SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;

SET SESSION AUTHORIZATION 'postgres';

SET search_path = public, pg_catalog;

--
-- TOC entry 27 (OID 207244)
-- Name: plpgsql_call_handler(); Type: FUNC PROCEDURAL LANGUAGE; Schema: public; Owner: postgres
--

CREATE FUNCTION plpgsql_call_handler() RETURNS language_handler
    AS '$libdir/plpgsql', 'plpgsql_call_handler'
    LANGUAGE c;


SET SESSION AUTHORIZATION DEFAULT;

--
-- TOC entry 26 (OID 207245)
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: public; Owner: 
--

CREATE TRUSTED PROCEDURAL LANGUAGE plpgsql HANDLER plpgsql_call_handler;


SET SESSION AUTHORIZATION 'andru';

--
-- TOC entry 5 (OID 224333)
-- Name: category_id_seq; Type: SEQUENCE; Schema: public; Owner: andru
--

CREATE SEQUENCE category_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 12 (OID 224335)
-- Name: category; Type: TABLE; Schema: public; Owner: andru
--

CREATE TABLE category (
    id integer DEFAULT nextval('"category_id_seq"'::text) NOT NULL,
    name text
);


--
-- TOC entry 6 (OID 224343)
-- Name: involvement_id_seq; Type: SEQUENCE; Schema: public; Owner: andru
--

CREATE SEQUENCE involvement_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 13 (OID 224345)
-- Name: involvement; Type: TABLE; Schema: public; Owner: andru
--

CREATE TABLE involvement (
    id integer DEFAULT nextval('"involvement_id_seq"'::text) NOT NULL,
    name text
);


--
-- TOC entry 7 (OID 224353)
-- Name: mailout_id_seq; Type: SEQUENCE; Schema: public; Owner: andru
--

CREATE SEQUENCE mailout_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 14 (OID 224355)
-- Name: mailout; Type: TABLE; Schema: public; Owner: andru
--

CREATE TABLE mailout (
    id integer DEFAULT nextval('"mailout_id_seq"'::text) NOT NULL,
    name text
);


--
-- TOC entry 8 (OID 224363)
-- Name: person_id_seq; Type: SEQUENCE; Schema: public; Owner: andru
--

CREATE SEQUENCE person_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 15 (OID 224365)
-- Name: person; Type: TABLE; Schema: public; Owner: andru
--

CREATE TABLE person (
    id integer DEFAULT nextval('"person_id_seq"'::text) NOT NULL,
    name text,
    title text,
    nameshort text,
    postaladdress text,
    physicaladdress text,
    homephone text,
    workphone text,
    cellphone text,
    email text,
    entrydate date DEFAULT date(now()),
    category integer NOT NULL,
    comments text
);


--
-- TOC entry 9 (OID 224374)
-- Name: personinvolvement_id_seq; Type: SEQUENCE; Schema: public; Owner: andru
--

CREATE SEQUENCE personinvolvement_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 16 (OID 224376)
-- Name: personinvolvement; Type: TABLE; Schema: public; Owner: andru
--

CREATE TABLE personinvolvement (
    id integer DEFAULT nextval('"personinvolvement_id_seq"'::text) NOT NULL,
    personid integer NOT NULL,
    involvementid integer NOT NULL
);


--
-- TOC entry 10 (OID 224381)
-- Name: personmailout_id_seq; Type: SEQUENCE; Schema: public; Owner: andru
--

CREATE SEQUENCE personmailout_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 17 (OID 224383)
-- Name: personmailout; Type: TABLE; Schema: public; Owner: andru
--

CREATE TABLE personmailout (
    id integer DEFAULT nextval('"personmailout_id_seq"'::text) NOT NULL,
    mailoutid integer NOT NULL,
    personid integer NOT NULL
);


--
-- TOC entry 11 (OID 224388)
-- Name: mailouthistory_id_seq; Type: SEQUENCE; Schema: public; Owner: andru
--

CREATE SEQUENCE mailouthistory_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


--
-- TOC entry 18 (OID 224390)
-- Name: mailouthistory; Type: TABLE; Schema: public; Owner: andru
--

CREATE TABLE mailouthistory (
    id integer DEFAULT nextval('"mailouthistory_id_seq"'::text) NOT NULL,
    personmailoutid integer NOT NULL,
    datesent date DEFAULT date(now())
);


--
-- TOC entry 19 (OID 224341)
-- Name: category_pkey; Type: CONSTRAINT; Schema: public; Owner: andru
--

ALTER TABLE ONLY category
    ADD CONSTRAINT category_pkey PRIMARY KEY (id);


--
-- TOC entry 20 (OID 224351)
-- Name: involvement_pkey; Type: CONSTRAINT; Schema: public; Owner: andru
--

ALTER TABLE ONLY involvement
    ADD CONSTRAINT involvement_pkey PRIMARY KEY (id);


--
-- TOC entry 21 (OID 224361)
-- Name: mailout_pkey; Type: CONSTRAINT; Schema: public; Owner: andru
--

ALTER TABLE ONLY mailout
    ADD CONSTRAINT mailout_pkey PRIMARY KEY (id);


--
-- TOC entry 22 (OID 224372)
-- Name: person_pkey; Type: CONSTRAINT; Schema: public; Owner: andru
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- TOC entry 23 (OID 224379)
-- Name: personinvolvement_pkey; Type: CONSTRAINT; Schema: public; Owner: andru
--

ALTER TABLE ONLY personinvolvement
    ADD CONSTRAINT personinvolvement_pkey PRIMARY KEY (id);


--
-- TOC entry 24 (OID 224386)
-- Name: personmailout_pkey; Type: CONSTRAINT; Schema: public; Owner: andru
--

ALTER TABLE ONLY personmailout
    ADD CONSTRAINT personmailout_pkey PRIMARY KEY (id);


--
-- TOC entry 25 (OID 224394)
-- Name: mailouthistory_pkey; Type: CONSTRAINT; Schema: public; Owner: andru
--

ALTER TABLE ONLY mailouthistory
    ADD CONSTRAINT mailouthistory_pkey PRIMARY KEY (id);


--
-- TOC entry 34 (OID 224654)
-- Name: RI_ConstraintTrigger_224654; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_category
    AFTER INSERT OR UPDATE ON person
    FROM category
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_check_ins"('ref_category', 'person', 'category', 'UNSPECIFIED', 'category', 'id');


--
-- TOC entry 28 (OID 224655)
-- Name: RI_ConstraintTrigger_224655; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_category
    AFTER DELETE ON category
    FROM person
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_del"('ref_category', 'person', 'category', 'UNSPECIFIED', 'category', 'id');


--
-- TOC entry 29 (OID 224656)
-- Name: RI_ConstraintTrigger_224656; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_category
    AFTER UPDATE ON category
    FROM person
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_upd"('ref_category', 'person', 'category', 'UNSPECIFIED', 'category', 'id');


--
-- TOC entry 39 (OID 224657)
-- Name: RI_ConstraintTrigger_224657; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_involvementperson
    AFTER INSERT OR UPDATE ON personinvolvement
    FROM person
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_check_ins"('ref_involvementperson', 'personinvolvement', 'person', 'UNSPECIFIED', 'personid', 'id');


--
-- TOC entry 35 (OID 224658)
-- Name: RI_ConstraintTrigger_224658; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_involvementperson
    AFTER DELETE ON person
    FROM personinvolvement
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_del"('ref_involvementperson', 'personinvolvement', 'person', 'UNSPECIFIED', 'personid', 'id');


--
-- TOC entry 36 (OID 224659)
-- Name: RI_ConstraintTrigger_224659; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_involvementperson
    AFTER UPDATE ON person
    FROM personinvolvement
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_upd"('ref_involvementperson', 'personinvolvement', 'person', 'UNSPECIFIED', 'personid', 'id');


--
-- TOC entry 40 (OID 224660)
-- Name: RI_ConstraintTrigger_224660; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_involvement
    AFTER INSERT OR UPDATE ON personinvolvement
    FROM involvement
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_check_ins"('ref_involvement', 'personinvolvement', 'involvement', 'UNSPECIFIED', 'involvementid', 'id');


--
-- TOC entry 30 (OID 224661)
-- Name: RI_ConstraintTrigger_224661; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_involvement
    AFTER DELETE ON involvement
    FROM personinvolvement
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_del"('ref_involvement', 'personinvolvement', 'involvement', 'UNSPECIFIED', 'involvementid', 'id');


--
-- TOC entry 31 (OID 224662)
-- Name: RI_ConstraintTrigger_224662; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_involvement
    AFTER UPDATE ON involvement
    FROM personinvolvement
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_upd"('ref_involvement', 'personinvolvement', 'involvement', 'UNSPECIFIED', 'involvementid', 'id');


--
-- TOC entry 41 (OID 224663)
-- Name: RI_ConstraintTrigger_224663; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_pertomailout
    AFTER INSERT OR UPDATE ON personmailout
    FROM mailout
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_check_ins"('ref_pertomailout', 'personmailout', 'mailout', 'UNSPECIFIED', 'mailoutid', 'id');


--
-- TOC entry 32 (OID 224664)
-- Name: RI_ConstraintTrigger_224664; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_pertomailout
    AFTER DELETE ON mailout
    FROM personmailout
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_del"('ref_pertomailout', 'personmailout', 'mailout', 'UNSPECIFIED', 'mailoutid', 'id');


--
-- TOC entry 33 (OID 224665)
-- Name: RI_ConstraintTrigger_224665; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_pertomailout
    AFTER UPDATE ON mailout
    FROM personmailout
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_upd"('ref_pertomailout', 'personmailout', 'mailout', 'UNSPECIFIED', 'mailoutid', 'id');


--
-- TOC entry 42 (OID 224666)
-- Name: RI_ConstraintTrigger_224666; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_pertoperson
    AFTER INSERT OR UPDATE ON personmailout
    FROM person
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_check_ins"('ref_pertoperson', 'personmailout', 'person', 'UNSPECIFIED', 'personid', 'id');


--
-- TOC entry 37 (OID 224667)
-- Name: RI_ConstraintTrigger_224667; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_pertoperson
    AFTER DELETE ON person
    FROM personmailout
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_del"('ref_pertoperson', 'personmailout', 'person', 'UNSPECIFIED', 'personid', 'id');


--
-- TOC entry 38 (OID 224668)
-- Name: RI_ConstraintTrigger_224668; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_pertoperson
    AFTER UPDATE ON person
    FROM personmailout
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_upd"('ref_pertoperson', 'personmailout', 'person', 'UNSPECIFIED', 'personid', 'id');


--
-- TOC entry 45 (OID 224669)
-- Name: RI_ConstraintTrigger_224669; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_mailhisttomailout
    AFTER INSERT OR UPDATE ON mailouthistory
    FROM personmailout
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_check_ins"('ref_mailhisttomailout', 'mailouthistory', 'personmailout', 'UNSPECIFIED', 'personmailoutid', 'id');


--
-- TOC entry 43 (OID 224670)
-- Name: RI_ConstraintTrigger_224670; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_mailhisttomailout
    AFTER DELETE ON personmailout
    FROM mailouthistory
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_del"('ref_mailhisttomailout', 'mailouthistory', 'personmailout', 'UNSPECIFIED', 'personmailoutid', 'id');


--
-- TOC entry 44 (OID 224671)
-- Name: RI_ConstraintTrigger_224671; Type: TRIGGER; Schema: public; Owner: andru
--

CREATE CONSTRAINT TRIGGER ref_mailhisttomailout
    AFTER UPDATE ON personmailout
    FROM mailouthistory
    NOT DEFERRABLE INITIALLY IMMEDIATE
    FOR EACH ROW
    EXECUTE PROCEDURE "RI_FKey_noaction_upd"('ref_mailhisttomailout', 'mailouthistory', 'personmailout', 'UNSPECIFIED', 'personmailoutid', 'id');


SET SESSION AUTHORIZATION 'postgres';

--
-- TOC entry 3 (OID 2200)
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


