CREATE TABLE pigeon_user (
       id serial primary key,
       uid serial not null,
       gid serial not null,
       username text not null,
       
       fullname text,
       email text,
       bash text default '/bin/bash',
       description text,      

       password text,
       winlmpassword text,
       winntpassword text,
       md5password text,
       
       createdate date default date(now()),
       historic boolean default 'f'
);

CREATE TABLE pigeon_group (
       id serial primary key,
       gid integer not null,
       groupname text not null
);

CREATE TABLE pigeon_computer (
       id serial primary key,
       name text not null,
       key text,
       
       startip text not null,
       endip text not null,
       homedirectory text default '/home',
       emailaccess boolean default 'f',
       sambaaccess boolean default 'f',
       loginaccess boolean default 't'   
);

CREATE TABLE pigeon_divison (
       id serial primary key,
       name text not null
);

CREATE TABLE pigeon_user_group (
       id serial primary key,
       userid integer not null references pigeon_user(id),
       groupid integer not null references pigeon_group(id)
);

CREATE TABLE pigeon_user_computer (
       id serial primary key,
       userid integer not null references pigeon_user(id),
       computerid integer not null references pigeon_computer(id),
       homedirectory text,
       loginaccess boolean default 't',
       sambaaccess boolean default 't',
       emailaccess boolean default 't'
);

CREATE TABLE pigeon_user_divison (
       id serial primary key,
       userid integer not null references pigeon_user(id),
       divisonid integer not null references pigeon_divison(id)
);

CREATE TABLE pigeon_computer_divison (
       id serial primary key,
       computerid integer not null references pigeon_computer(id),
       divisonid integer not null references pigeon_divison(id)
);

CREATE TABLE pigeon_tuser_alexander (
       id serial primary key,    
       uid integer not null,
       gid integer not null,
       username text not null,
       fullname text,
       bash text default '/bin/bash',
       homedirectory text default '',

       winlmpassword text,
       winntpassword text,
       md5password text
);

insert into pigeon_user
(username,fullname,password,winlmpassword,winntpassword,
md5password) 
values
('andru2','Andru Hill','test',
'46E2E00D60CE54D3AAD3B435B51404EE',
'B53E23C24FC6F5350E99EDD132E97DDF',
'e2NyeXB0fSQxJGI1W01d0s5JDdnYld1MHF5OWQwS1ZiTWFVWlhkZjA='
);



insert into pigeon_tuser_alexander
(uid,gid,username,fullname,winlmpassword,winntpassword,
md5password) 
values
(3000,300,'andru2','fullname',
'46E2E00D60CE57D3A22B435B51404EE',
'B53E23C24FC6F5F5199EDD132E97DDF',
'e2NyeXB0fSQxJGIwZW010s5JDdnYld1MHF5OWQwS1ZiTWFVWlhkZjA='
);

