<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="xml" indent="yes" 
    doctype-public="-//treshna.com//DTD Bond V2.0//EN" 
    doctype-system="http://bond.treshna.com/bond-2.0.dtd" />
  <xsl:strip-space elements="*" />
  
  <xsl:param name="defaultvisible" select="'false'" />
  <xsl:param name="predict-api-call" select="'false'" />

  <xsl:output method="xml"/>

  <xsl:template match="bond-intermediate">
    <bond>
      <project defaultvisible="{$defaultvisible}" />
      <xsl:apply-templates />
    </bond>
  </xsl:template>
  <xsl:template match="*">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="@*">
    <xsl:variable name="prop-name">
      <xsl:call-template name="filter-prop-name" />
    </xsl:variable>

    <xsl:if test="$prop-name!=''">
      <xsl:attribute name="{$prop-name}">
        <xsl:value-of select="." />
      </xsl:attribute>
    </xsl:if>
  </xsl:template>

  <xsl:template name="filter-prop-name">
    <xsl:choose>
      <xsl:when test="name()='visible'" />
      <xsl:when test="name()='window_position'" /> 
      <xsl:when test="name()='type'" />
      <xsl:when test="name()='xspan' and .='1'" />
      <xsl:when test="name()='yspan' and .='1'" />
      <xsl:when test="name()='xpad' and .='0'" />
      <xsl:when test="name()='ypad' and .='0'" />
      <xsl:when test="name()='xalign' and .='0'" />
      <xsl:when test="name()='yalign'" />
      <xsl:when test="name()='use_underline'" />
      <xsl:when test="name()='wrap' and .='false'" />
      <xsl:when test="name()='justify' and .='left'" />
      <xsl:when test="name()='use_markup'" />
      <xsl:when test="name()='selectable' and .='false'" />
      <xsl:when test="name()='homogeneous' and .='false'" />
      <xsl:otherwise>
        <xsl:value-of select="name()" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
