<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:my="my:my"
  exclude-result-prefixes="my">

  <xsl:output method="xml" indent="yes" />
  <xsl:strip-space elements="*"/>
  <my:elements-to-attributes>
    <condition>
      <name>label</name>
      <restrict-on-parent>cell</restrict-on-parent>
    </condition>
    <condition><name>defaultvisible</name></condition>
    <condition><name>name</name></condition>
    <condition><name>border</name></condition>
    <condition><name>scrollable</name></condition>
    <condition><name>pagename</name></condition>
    <condition><name>orientation</name></condition>
    <condition><name>valueinlist</name></condition>
    <condition><name>casesensitive</name></condition>
    <condition><name>title</name></condition>
    <condition><name>editable</name></condition>
  </my:elements-to-attributes>
  
  <xsl:variable name="element-name"
    select="document('')/*/my:elements-to-attributes/condition/name"/>
  <xsl:variable name="restrict-on"
    select="document('')/*/my:elements-to-attributes/condition/restrict-on-parent"/>

  <xsl:template match="@* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="*">
    <xsl:choose>
      <xsl:when test="not(name() = $element-name) or name(..) = $restrict-on">
        <xsl:copy>
          <xsl:copy-of select="@*"/>
          <xsl:apply-templates select="*[name() = $element-name and not(name(..) = 'cell')]"/>
          <xsl:apply-templates/>
        </xsl:copy>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="{name()}">
          <xsl:value-of select="."/>
        </xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>