#ifndef LAYOUT_H
#define LAYOUT_H

/* the args to these two functions are handled entirely by SLang_pop 
 * in order to parse them in the correct order
 */
/* Takes 2 args, name and type, plus the optional ones */
int layout_begin (void);
/* takes 4 compulsary args, relative, name, type, position + optional */
int layout_add (void);

/* Works out the positions of all of the objects. Must be called before 
 * width/height/display. takes two args, layout and database object */
void layout_compile (int *layout, int *object);
/* Calculates the size of the layout, given some data (from compile) */
int layout_width (int *layout);
int layout_height (int *layout);
/* draws the layout onto the printer */
void layout_display (int *printer, int *layout, int *object, int *x, int *y);
/* Takes 8 args, but has to parse them manually, since 7 is the max that is
 * supported by SLang
 */ 
void layout_fulldisplay (void);
   

#endif /* LAYOUT_H */
