/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef bondapi_h
#define bondapi_h

/* form name refers to the defination of the window widget name */

/* the window widget doesn't specifically need to match the form, but to include the name of the class in its name
 * so it references that class.  
 */

#include "bondxml.h"
#include "bondmain.h"

gint bond_api(Bond *bond, ApiCall call, ...);

gint bond_api_add(Bond *bond, gchar *widgetname);
gint bond_api_loadall(Bond *bond, gchar *widgetname);
gint bond_api_delete(Bond *bond, gchar *widgetname);
gint bond_api_first(Bond *bond, gchar *widgetname);
gint bond_api_last(Bond *bond, gchar *widgetname);
gint bond_api_next(Bond *bond, gchar *widgetname);
gint bond_api_prev(Bond *bond, gchar *widgetname);
gint bond_api_clear(Bond *bond, gchar *widgetname);
gint bond_api_open(Bond *bond, gchar *widgetname);
gint bond_api_close(Bond *bond, gchar *widgetname);
gint bond_api_sql(Bond *bond, gchar *widgetname, gchar *parentwidgetname, gchar *sqlquery);
gint bond_api_save(Bond *bond, gchar *widgetname);
gint bond_api_refresh(Bond *bond, gchar *widgetname);
gint bond_api_abortsave(Bond *bond, gchar *widgetname);

/* basic form operations */
/* ALL THIS CODE BELOW IS OBSOLETE. DO NOT CALL */
/* Note, show form isn't data associated, use for menus etc */
/*gint bond_formshow(gchar * formname);
gint bond_formclear(gchar * formname);
gint bond_formclose(gchar * formname);
gint bond_formsave(gchar * formname);
*/
/* form specific functions */
/*gint bond_formsearch(gchar * inputlist, gchar * outputlist);
gint bond_formsearchbyobject(Object * input, gchar * outputlist);
gint bond_formshowbysearch(gchar * searchresult, gchar * showform, gint position);
gint bond_showformbyform(gchar * formname, gchar * oldform);
*/
/* database functions */
/*gint bond_formadd(gchar * formname);
gint bond_formdelete(gchar * formname);
gint bond_formloadall(gchar * formname);

int bond_formbyfield(gchar * formname, gchar * field, gchar * value);
gint bond_formbyquery(gchar * formname, gchar * sqlquery);
gint bond_showformbyformwithquery(gchar * formname, gchar * oldform, gchar * sqlquery);
*/
/* database navigation tool */
/*gint bond_formmovenext(gchar * formnam);
gint bond_formmoveprev(gchar * formname);
gint bond_formmovefirst(gchar * formname);
gint bond_formmovelast(gchar * formname);
*/
/* to specifically say this record = this form */
/*#define bond_specifyclass debugmsg("bond_specifyclass() no longer exists.") */

/* to load a record from a client list */
/*gint bond_flushall();
gint bond_formshowrecord(gchar * formname, gint recordpos);
*/
#endif
