/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef bondargument_h
#define bondargument_h

#include "fieldpath.h"
#include "bond.h"

typedef struct _BondArgument BondArgument;

struct _BondArgument
	{
	/* start of link list */
	BondArgument *first;
	BondArgument *next;
	BondArgument *prev;
	/* path it is based on */
	FieldPath *path;
	gchar *livevalue;
	gchar *dbvalue;
	gchar *key;
	/* Any bond objects that influence this */
	GList *bobjsmatchkey;
	gboolean initial;
	BondObject *parentbobj;
	Object *obj;
	};

void bondargument_free(GList *arglist);
gint bondargument_init_field(BondObject *bobj);
void bondargument_watchrun(void *ptr1, void *ptr2);

#endif
