/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef fieldpath_h
#define fieldpath_h

#include "db.h"

typedef struct _FieldPath FieldPath;

struct _FieldPath
	{
	DbConstraintDef *c;
	gchar *fieldname;
	gchar *tablename;
	gboolean valid;
	gboolean inuse;
	GList *next;
	FieldPath *prev;
	FieldPath *parent;
	
	GList *allcrefsdone;
	};

GList *fieldpath_init(gchar *tablesrc, gchar *fieldsrc, gchar *tabledest);
void fieldpath_debug(GList *pathtotable);
void fieldpath_free(GList *pathtotable);
gint fieldpath_test(gint testnum);

#endif
