#ifndef parse_h
#define parse_h

#include <glib.h>
#include <gtk/gtk.h>
#include <libxml/parser.h>

#include "uigtk.h"

/* Private variable used in parsing XML */
typedef enum
	{ 
	ParseStart,
	ParseRadio,
	ParseGeneral,
	ParseBox,
	ParseVHBox,
	ParseNotebook,
	ParseToolBar,
	ParseHandleBox,
	ParseMenuBar,
	} ParseState;

/* Public Functions */
UiXML* uixml_init(gchar *filename);
UiWidget* uixml_parse(xmlNode *node, ParseState state, 
		      UiWidget *parentwidget, UiXML *bondxml);
gint uixml_parsename(xmlNode *node, UiWidget *widget, UiXML *bond);
GList *uixml_widgetchildren(UiXML *bondxml, gchar *widgetname);
gchar *uixml_getwidgetshortname_fromname(gchar * name);
int uixml_node(xmlNode * node, gchar * name);
int uixml_parseparent(UiXML * bondxml);


#endif
