#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>

#include <glib.h>
#include <gtk/gtk.h>
#include <libxml/parser.h>

#include "xml_display.h"
#include "bc.h"
#include "uicheckbutton.h"
#include "parse.h"

GtkWidget *
uigtk_check_button_create(xmlNode * parentnode, GtkWidget * parentwidget)
{
	GtkWidget *widget;
	gchar *content = NULL;

	widget = gtk_check_button_new();
	debuglog(30, "Creating check button %s", parentnode->name);

	content = xmlGetProp(parentnode, "label");
	if (content) 
		gtk_button_set_label(GTK_BUTTON(widget), content);

	content = xmlGetProp(parentnode, "active");
	if (content && IsTrue(content))
		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
	else
		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);
		    
	content = xmlGetProp(parentnode, "relief");
	if (content) {
		if(IsEqual(content, "none"))
			gtk_button_set_relief(GTK_BUTTON(widget), GTK_RELIEF_NONE);
		else if (IsEqual(content, "half"))
			gtk_button_set_relief(GTK_BUTTON(widget), GTK_RELIEF_HALF);
	}
	else
		gtk_button_set_relief(GTK_BUTTON(widget), GTK_RELIEF_NORMAL);

	content = xmlGetProp(parentnode, "use_underline");
	if (content && IsTrue(content))
		gtk_button_set_use_underline(GTK_BUTTON(widget), TRUE);
	else
		gtk_button_set_use_underline(GTK_BUTTON(widget), FALSE);

	content = xmlGetProp(parentnode, "use_stock");
	if (content && IsTrue(content))
		gtk_button_set_use_stock(GTK_BUTTON(widget), TRUE);
	else
		gtk_button_set_use_stock(GTK_BUTTON(widget), FALSE);

	content = xmlGetProp(parentnode, "active");
	if (content && IsTrue(content))
		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), 1);
	else
		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), 0);
     
	gtk_widget_show(widget);
	return widget;
}
