#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <glib.h>
#include <gtk/gtk.h>
#include <libxml/parser.h>

#include "xml_display.h"
#include "bc.h"
#include "uiframe.h"
#include "parse.h"

GtkWidget *
uigtk_frame_create(xmlNode * widgetnode, GtkWidget * parentwidget)
{
	GtkWidget *frame;
	gchar *content = NULL;
	gfloat xalign = 0;
	gfloat yalign = 0.5;
	gint shadow_type;
	guint border = 4;

	
	content = xmlGetProp(widgetnode, "label");
	if (content) 	
		frame = gtk_frame_new(content);
	else
		frame = gtk_frame_new(NULL);
	
	content = xmlGetProp(widgetnode, "xalign");
	if (content) xalign = atof(content);

	content = xmlGetProp(widgetnode, "yalign");
	if (content) yalign = atof(content);

	gtk_frame_set_label_align(GTK_FRAME(frame), xalign, yalign);

	
	

	content = xmlGetProp(widgetnode, "shadow");
	if (content) {
		if (IsEqual(content, "none")) 
			shadow_type = GTK_SHADOW_NONE;
		else if (IsEqual(content, "in")) 
			shadow_type = GTK_SHADOW_IN;
		else if (IsEqual(content, "out")) 
			shadow_type = GTK_SHADOW_OUT;
		else if (IsEqual(content, "etched-in")) 
			shadow_type = GTK_SHADOW_ETCHED_IN;
		else if (IsEqual(content, "etched-out")) 
			shadow_type = GTK_SHADOW_ETCHED_OUT;
		/* default to in if attribute not correct */
		else
			shadow_type = GTK_SHADOW_IN;
		/* set shadow type */
		gtk_frame_set_shadow_type(GTK_FRAME(frame), shadow_type);
	}

	content = xmlGetProp(widgetnode, "border");
	if (content)
		border = atoi(content);

	/*  the  last three values   are taken  from what  glade
	    generally does   in this situation...  maybe   a few
	    more properties for this... */
/*	gtk_box_pack_start(GTK_BOX(parentwidget), frame, TRUE, TRUE, 0); */
	gtk_container_set_border_width(GTK_CONTAINER(frame), border);

	debuglog(50, "Creating a frame");
	gtk_widget_show(frame);
	return frame;
}
