#ifndef uilist_h
#define uilist_h

#include "parse.h"
#include "uigtk.h"

struct UiColumn 
	{
	guint colnumber;
	GType coltype;
	gboolean sortable;
	gboolean clickable;
	gboolean resizable; 
	gboolean reorderable;
	gboolean editable;
	GtkTreeViewColumnSizing sizing;
	gint spacing;
	gint fixedwidth;
	gint maxwidth;
	gint minwidth;
	};

GtkTreeViewColumn * uigtk_list_createcolumn(xmlNode *widgetnode, struct UiColumn uic, UiXML *bondxml, GtkWidget *widget, gint *editable);
GtkWidget *uigtk_list_create(xmlNode *node, GtkWidget *parentwidget, GtkWidget **scrolledwindow, UiXML *bondxml);
void uigtk_list_append(UiXML *uixml,GtkWidget *widget, GList *values, gulong secretid,gboolean append);
void uigtk_list_clear(UiXML *uixml,GtkWidget *widget);
gint uigtk_list_setcellvalue(UiXML *uixml, GtkWidget * widget, gint col, gulong secretid, gchar * value);
gboolean uigtk_list_setselection(UiXML *uixml, GtkWidget *widget, gulong secretid);
gulong uigtk_list_getselection(UiXML *uixml, GtkWidget *widget, gboolean getvalues, GList **values);
gint uigtk_blockemit(GtkWidget *widget, gint state);

#endif
