#ifndef parse_h
#define parse_h

#include <glib.h>
#include <gtk/gtk.h>
#include <libxml/parser.h>

#include "uihtml.h"

/* Private variable used in parsing XML */
typedef enum
	{ 
	ParseStart,
	ParseRadio,
	ParseGeneral,
	ParseBox,
	ParseVHBox,
	ParseNotebook,
	ParseToolBar,
	ParseHandleBox,
	ParseMenuBar,
	} ParseState;

/* Public Functions */
UiXML* uixml_init(gchar *filename);
UiHtml* uixml_parse(xmlNode *node, ParseState state, 
		      UiHtml *parentwidget, UiXML *bondxml);
gint uixml_parsename(xmlNode *node, UiHtml *widget, UiXML *bond);
GList *uixml_widgetchildren(UiXML *bondxml, gchar *widgetname);
gchar *uixml_getwidgetshortname_fromname(gchar * name);
int uixml_node(xmlNode * node, gchar * name);
int uixml_parseparent(UiXML * bondxml);
gint
uihtml_vhbox_cellcompare(UiHtml * cell1, UiHtml * cell2);
void

uixml_showheader(UiXML * uixml, xmlNode * project);
void
uixml_showfooter();
#endif
