#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>

#include <glib.h>
#include <gtk/gtk.h>
#include <libxml/parser.h>

#include "xml_display.h"
#include "bc.h"
#include "uicheckbutton.h"
#include "parse.h"

UiHtml *
uihtml_check_button_create(UiXML * uixml, 
						  xmlNode * parentnode, 
						  UiHtml * parentwidget,
						  gboolean * visible)
{
	UiHtml *check;
	gchar *content = NULL;

	check = uihtml_create(parentnode);
	check->widgettype = UiCheckButton;

	check->openinghtml = mem_strdup("<input type=\"checkbox\"");

	content = xmlGetProp(parentnode, "name");
	if(content)
	  check->openinghtml = mem_strdup_printf("%s name=\"%s\"", 
											 check->openinghtml, content);
	
	content = xmlGetProp(parentnode, "active");
	if (content && IsTrue(content))
	  check->openinghtml = mem_strdup_printf("%s checked", 
											 check->openinghtml, content);

/*	content = xmlGetProp(parentnode, "use_underline");
	if (content && IsTrue(content))
		gtk_button_set_use_underline(GTK_BUTTON(widget), TRUE);
	else
		gtk_button_set_use_underline(GTK_BUTTON(widget), FALSE);
*/
	check->openinghtml = mem_strdup_printf("%s />", check->openinghtml);

	content = xmlGetProp(parentnode, "label");
	if (content)
 	  check->openinghtml = mem_strdup_printf("%s %s", 
											 check->openinghtml, content);
	check->closinghtml = NULL;
	debuglog(30, "Creating checkbox %s", parentnode->name);
	
	return check;
}
