#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <glib.h>
#include <gtk/gtk.h>
#include <libxml/parser.h>

#include "xml_display.h"
#include "xml_funcs.h"
#include "bc.h"
#include "parse.h"
#include "uiimage.h"
#include "uigeneral.h"

/**
 * uihtml_image_create:
 * @widgetnode: a xml node in the bond XML file.
 * @parentwidget: widget that will be the parent of this.
 * 
 * creates an image based on the filename or stock specified in the XML
 *
 * Options:
 * <filename> name of the image file.
 * <stock> name of the built in images in gtk. built in images are in the api
 * The stock size is set to menu_size by default
 */
UiHtml *
uihtml_image_create(UiXML * uixml, xmlNode * widgetnode, UiHtml * parentwidget,
		 gboolean * visible)
{
	UiHtml *image = NULL;
	gchar *content = NULL;
	GtkIconSize size = GTK_ICON_SIZE_INVALID;

	content = xmlGetProp(widgetnode, "file");
	if (content) image = gtk_image_new_from_file(content);

	content = xmlGetProp(widgetnode, "stock");
	if (content) image = gtk_image_new_from_stock(content, size);

	if (image)
		gtk_widget_show(image);

	return image;
}
