#ifndef uilist_h
#define uilist_h

#include "parse.h"
#include "uihtml.h"

struct UiColumn 
	{
	guint colnumber;
	GType coltype;
	gboolean sortable;
	gboolean clickable;
	gboolean resizable; 
	gboolean reorderable;
	GtkTreeViewColumnSizing sizing;
	gint spacing;
	gint fixedwidth;
	gint maxwidth;
	gint minwidth;
	};

GtkTreeViewColumn * uihtml_list_createcolumn(xmlNode *widgetnode, struct UiColumn uic, UiXML *bondxml);
UiHtml *uihtml_list_create(xmlNode *node, UiHtml *parentwidget, UiXML *bondxml, gboolean * visible);
void uihtml_list_append(UiXML *uixml,UiHtml *widget, GList *values, gulong secretid,gboolean append);
void uihtml_list_clear(UiXML *uixml,UiHtml *widget);
gint uihtml_list_setcellvalue(UiXML *uixml, UiHtml * widget, gint col, gulong secretid, gchar * value);
gboolean uihtml_list_setselection(UiXML *uixml, UiHtml *widget, gulong secretid);
gulong uihtml_list_getselection(UiXML *uixml, UiHtml *widget, gboolean getvalues, GList **values);
	
#endif
