#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <glib.h>
#include <gtk/gtk.h>

#include "uimessage.h"

void
uihtml_message_close(UiHtml * widget, void *toclose)
{
/*	gtk_widget_destroy(GTK_WIDGET(toclose));*/
}

void
uihtml_message_display(gchar * message, gchar * title)
{
	static gchar notitle[40] = "BOND Message";
	UiHtml *window;
	UiHtml *dialog_vbox;
	UiHtml *label;
	UiHtml *dialog_action_area;
	UiHtml *closebutton;

	g_assert(message);
	if (title == NULL)
		title = notitle;

	/* create a new window */
	window = gtk_dialog_new();
	gtk_window_set_title(GTK_WINDOW(window), title);

	/* sets the border width of the window. */
	gtk_container_set_border_width(GTK_CONTAINER(window), 10);

	/* set up vbox */
	dialog_vbox = GTK_DIALOG(window)->vbox;
	gtk_widget_show(dialog_vbox);

	/* display message */
	label = gtk_label_new(message);
	gtk_widget_show(label);
	gtk_box_pack_start(GTK_BOX(dialog_vbox), label, TRUE, TRUE, 0);

	/* dialog area at bottom of box. */
	dialog_action_area = GTK_DIALOG(window)->action_area;
	gtk_widget_show(dialog_action_area);
	gtk_button_box_set_layout(GTK_BUTTON_BOX(dialog_action_area), GTK_BUTTONBOX_END);

	closebutton = gtk_button_new_from_stock("gtk-close");
	gtk_widget_show(closebutton);
	gtk_dialog_add_action_widget(GTK_DIALOG(window), closebutton, GTK_RESPONSE_CLOSE);
	GTK_WIDGET_SET_FLAGS(closebutton, GTK_CAN_DEFAULT);

	g_signal_connect(G_OBJECT(window), "delete_event", G_CALLBACK(gtk_widget_destroy), window);
	g_signal_connect(G_OBJECT(window), "close", G_CALLBACK(gtk_widget_destroy), window);

	/* When the button receives the "clicked" signal, it will call the func$ The hello() function is defined above. */
	g_signal_connect(G_OBJECT(closebutton), "clicked", G_CALLBACK(uihtml_message_close), window);
	/* dispaly the widget */
	gtk_widget_show(window);
}
