#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>

#include <glib.h>
#include <gtk/gtk.h>
#include <libxml/parser.h>

#include "xml_display.h"
#include "bc.h"
#include "uitoggle.h"
#include "parse.h"

UiHtml *
uihtml_toggle_button_create(UiXML * uixml, xmlNode * parentnode, 
						   UiHtml * parentwidget,
						   gboolean * visible)
{
	UiHtml *widget;
	gchar *content = NULL;

	widget = gtk_toggle_button_new();
	debuglog(30, "Creating toggle %s", parentnode->name);

	content = xmlGetProp(parentnode, "active");
	if (content && IsTrue(content))
		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
	else
		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), FALSE);

	content = xmlGetProp(parentnode, "inconsistent");
	if (content && IsTrue(content))
		gtk_toggle_button_set_inconsistent(GTK_TOGGLE_BUTTON(widget), TRUE);
	else
		gtk_toggle_button_set_inconsistent(GTK_TOGGLE_BUTTON(widget), FALSE);

	content = xmlGetProp(parentnode, "mode");
	if (content && IsTrue(content))
		gtk_toggle_button_set_inconsistent(GTK_TOGGLE_BUTTON(widget), TRUE);
	else
		gtk_toggle_button_set_inconsistent(GTK_TOGGLE_BUTTON(widget), FALSE);
	  
	
	content = xmlGetProp(parentnode, "label");
	if (content) gtk_button_set_label(GTK_BUTTON(widget), content);
	
	gtk_widget_show(widget);
	return widget;
}
