#ifndef GLADEXML_H
#define GLADEXML_H
#include <libxml/parser.h>
#include <wx/wx.h>

class GladeXmlNode
{
protected:
    xmlNodePtr node;

    //GladeXmlNode* parent;
public:
    char* gtkclassname;
    wxObject* currentWidget;
	wxWindow* parentWidget;

    GladeXmlNode(xmlNodePtr node);
	virtual ~GladeXmlNode() {}
    xmlNodePtr	findFirstChildNode(char* childname);
    GList*		findAllChildNodesByName(char* childname);
    xmlChar*	getContent();
	xmlChar*	getText(xmlNodePtr nodeWithTextChild);

	//////////////////////////////////////////////////////
    void		buildWidget(wxObject*);
    // Return drawing object
    //GladeXmlNode* getGladeNodeByName(xmlChar* name);
    GladeXmlNode* getGladeNodeByName(xmlNodePtr tempNode);
    virtual wxObject* getWidget() { return currentWidget; }


};

//////////////////////////////////////////////////////////////////////
class BondBoxSizer : public GladeXmlNode
{
private:
    int orient;

public:
    BondBoxSizer(xmlNodePtr par, int orient) :
        GladeXmlNode(par),
        orient(orient)
    {}
    ~BondBoxSizer() {}

    wxObject* getWidget();
};

//////////////////////////////////////////////////////////////////////
class BondButton : public GladeXmlNode
{
public:
    BondButton(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondButton() {}

    wxObject* getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondStaticText : public GladeXmlNode
{
public:
    BondStaticText(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondStaticText() {}

    wxObject* getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondComboBox : public GladeXmlNode
{
public:
    BondComboBox(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondComboBox() {}

    wxObject* getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondTextCtrl : public GladeXmlNode
{
public:
    BondTextCtrl(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondTextCtrl() {}

    wxObject* getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondCheckBox : public GladeXmlNode
{
public:
    BondCheckBox(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondCheckBox() {}

    wxObject* getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondListCtrl : public GladeXmlNode
{
public:
    BondListCtrl(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondListCtrl() {}

    wxObject* BondListCtrl::getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondScrolledWindow : public GladeXmlNode
{
public:
    BondScrolledWindow(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondScrolledWindow() {}

    wxObject* getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondGrid : public GladeXmlNode
{
public:
    BondGrid(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondGrid() {}

    wxObject* BondGrid::getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondToolBar : public GladeXmlNode
{
public:
    BondToolBar(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondToolBar() {}

    wxObject* BondToolBar::getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondStatusBar : public GladeXmlNode
{
public:
    BondStatusBar(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondStatusBar() {}

    wxObject* BondStatusBar::getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondMenuBar : public GladeXmlNode
{
public:
    BondMenuBar(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondMenuBar() {}

    wxObject* BondMenuBar::getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondWindow : public GladeXmlNode
{
public:
    BondWindow(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondWindow() {}

    wxObject* BondWindow::getWidget();
};
//////////////////////////////////////////////////////////////////////
class BondIgnore : public GladeXmlNode
{
public:
    BondIgnore(xmlNodePtr par) : GladeXmlNode(par) {}
    ~BondIgnore() {}

    wxObject* BondIgnore::getWidget();
};

//////////////////////////////////////////////////////////////////////
class BondFrame : public wxFrame
{
public:
BondFrame(const wxString& title, const wxPoint& pos, const wxSize& size);
wxObject* topSizer;
	
void OnQuit(wxCommandEvent& event);
void OnAbout(wxCommandEvent& event);

DECLARE_EVENT_TABLE()

private:
//  wxTextCtrl *m_pTextCtrl;
//  wxGridSizer *m_pGridSizer;
};

#endif
